Archive Permission

PUT /permissions/{permissionId}/archive

Archives or unarchives a permission, depending on the body of the request. Response either returns the updated permission (success) or the reason why it was not possible to execute the operation (failure).

circle-info

Required Permissions

Name
Conditions

Permissions:Archive

Always Required

Parameters

Path parameters

Path parameter
Description

permissionId

Unique identifier of the permission. Permission IDs look like this: pm-orange-apple-2b17a80613

Request body

In the request body specify wheter the permission is to be archived or unarchived.

property
Type - Required
Description

isArchived

Boolean - Required

Specify whether to archive or unarchive permission.

Request example

Response

Response example 200 - no approval required

If successful, a response object of the update permission will be returned:

Response example 202 - approval required

Notes

When a permission is archived, it remains in the database and its permission name cannot be reused.

Last updated